> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a reminder for an event

> Updates an existing reminder for an event.



## OpenAPI

````yaml /openapi.json put /events/{eventId}/reminders/{reminderId}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /events/{eventId}/reminders/{reminderId}:
    put:
      tags:
        - Events
      summary: Update a reminder for an event
      description: Updates an existing reminder for an event.
      operationId: UpdateReminder
      parameters:
        - name: eventId
          in: path
          required: true
          schema:
            type: string
        - name: reminderId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ReminderDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ReminderDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ReminderDto'
      responses:
        '202':
          description: When request is accepted. Returns a 'Link' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '403':
          description: When the authenticated account does not have access to the event.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When event with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ReminderDto:
      type: object
      properties:
        offset:
          type: integer
          format: int32
        offsetTypeId:
          type: integer
          format: int32
        isAllDayReminder:
          type: boolean
        userIds:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````